MOSQUITTO_PASSWD(1)

NAME
mosquitto_passwd - manage password files for mosquitto

SYNOPSIS

mosquitto_passwd [-c | -D] passwordfile username

mosquitto_passwd -b passwordfile username password

mosquitto_passwd -U passwordfile

DESCRIPTION

mosquitto_passwd is a tool for managing password files the the mosquitto MQTT broker.

Usernames must not contain ":". Passwords are stored in a similar format to crypt(3).

OPTIONS

-b
    Run in batch mode. This allows the password to be provided at the command line which can be convenient but should be used with care because the password will be visible on the command line and in command history.

-c
    Create a new password file. If the file already exists, it will be overwritten.

-D
    Delete the specified user from the password file.

-U
    This option can be used to upgrade/convert a password file with plain text passwords into one using hashed passwords. It will modify the specified file. It does not detect whether passwords are already hashed, so using it on a password file that already contains hashed passwords will generate new hashes based on the old hashes and render the password file unusable.

passwordfile
    The password file to modify.

username
    The username to add/update/delete.

password
    The password to use when in batch mode.

EXAMPLES

Add a user to a new password file:

    • mosquitto_passwd -c /etc/mosquitto/passwd ral

Delete a user from a password file

    • mosquitto_passwd -D /etc/mosquitto/passwd ral

BUGS

mosquitto_passwd bug information can be found at https://bugs.eclipse.org/bugs/describecomponents.cgi?product=Mosquitto

SEE ALSO
mosquitto(8), mosquitto.conf(5), mqtt(7)

AUTHOR

Roger Light <roger@atchoo.org>